.banner{
    background: #073250;
    width: 100%;
    height: 601px;
    position: relative;
    overflow: hidden;
    margin: 0 auto;
    height: calc(100vh - 99px);
    max-height: 600px;
    
    .layout{
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        
        &.layout1{
            position:relative;
            background: transparent url("/wp-content/themes/BKS/src/assets/svg/invalid-name.svg") no-repeat left bottom;
            width:0%;
            animation: graphic 2.5s ease-in 0s forwards;
            @media(max-width:480px){
                background-position: -680px bottom;
            }
        }
        &.layout2{
            background: transparent url("/wp-content/themes/BKS/src/assets/svg/invalid-name_2.svg") no-repeat left bottom;
            width:0%;
            animation: graphic 2.5s ease-in 0.5s forwards;
            @media(max-width:480px){
                background-position: -680px bottom;
            }
        }
        &.layout3{
            @media(max-width:480px){
                margin-left: -680px;
            }
            .dot-container{
                width: 11px;
                height: 11px;
                position: absolute;
                bottom: 0;
                left: 0;
                .dot{
                    width: 11px;
                    height: 11px;
                    border-radius: 100%;
                    border: 3px solid #009839;
                    background: #0e313e;
                    margin-left: 0;
                    
                }
                
                &.dot1{
                    bottom:104px;
                    .dot{
                        margin-left: 178px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 0.6s forwards
                    }
                }
                &.dot2{
                    bottom:140px;
                    .dot{
                        margin-left: 390px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 0.8s forwards
                    }
                }
                &.dot3{
                    bottom:295px;
                    .dot{
                        margin-left: 497px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.0s forwards
                    }
                }
                &.dot4{
                    bottom:197px;
                    .dot{
                        margin-left: 600px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.2s forwards
                    }
                }
                &.dot5{
                    bottom:252px;
                    .dot{
                        margin-left: 715px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.4s forwards
                    }
                }
                &.dot6{
                    bottom:240px;
                    .dot{
                        margin-left: 818px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.6s forwards
                    }
                }
                &.dot7{
                    bottom:486px;
                    .dot{
                        margin-left: 932px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.8s forwards
                    }
                }
                &.dot8{
                    bottom:443px;
                    .dot{
                        margin-left: 1043px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.0s forwards
                    }
                }
                &.dot9{
                    bottom:526px;
                    .dot{
                        margin-left: 1145px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.2s forwards
                    }
                }
                &.dot10{
                    bottom:466px;
                    .dot{
                        margin-left: 1250px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.4s forwards
                    }
                }
            }
        }
        &.layout4{
            @media(max-width:480px){
                margin-left: -680px;
            }
            .dot-container{
                width: 11px;
                height: 11px;
                position: absolute;
                bottom: 0;
                left: 0;
                .dot{
                    width: 11px;
                    height: 11px;
                    border-radius: 100%;
                    border: 3px solid #1571b1;
                    background: #0e313e;
                    margin-left: 0;
                }
                
                &.dot1{
                    bottom:72px;
                    .dot{
                        margin-left: 164px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.2s forwards
                    }
                }
                &.dot2{
                    bottom:39px;
                    .dot{
                        margin-left: 273px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.4s forwards
                    }
                }
                &.dot3{
                    bottom:44px;
                    .dot{
                        margin-left: 486px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.6s forwards
                    }
                }
                &.dot4{
                    bottom:122px;
                    .dot{
                        margin-left: 712px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 1.8s forwards
                    }
                }
                &.dot5{
                    bottom:161px;
                    .dot{
                        margin-left: 928px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.0s forwards
                    }
                }
                &.dot6{
                    bottom:229px;
                    .dot{
                        margin-left: 1035px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.2s forwards
                    }
                }
                &.dot7{
                    display:none;
                    bottom:181px;
                    .dot{
                        margin-left: 1192px;
                       
                    }
                }
                &.dot8{
                    bottom:181px;
                    .dot{
                        margin-left: 1145px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.4s forwards
                    }
                }
                &.dot9{
                    bottom:319px;
                    .dot{
                        margin-left: 1362px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.6s forwards
                    }
                }
                &.dot10{
                    bottom:298px;
                    .dot{
                        margin-left: 1435px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.8s forwards
                    }
                }
                &.dot11{
                    bottom:404px;
                    .dot{
                        margin-left: 1654px;
                        opacity: 0;
                        animation: dot 0.5s ease-in-out 2.4s forwards
                    }
                }
            }
        }
        &.layout5{
            @media(max-width:1000px){
                margin-left: 100px;
            }
            @media(max-width:480px){
                margin-left: 280px;
            }
            .figure-container{
                position:absolute;
                
                left:50%;
                .figure{
                    margin-left: -50%;
                    
                }
                &.container1{
                    bottom: -250px;
                    animation: figure 1s ease-in-out 2s forwards;
                
                    .figure{
                        margin-left: -629px;
                        
                    }
                }
                &.container2 {
                    bottom: -250px;
                    animation: figure 1s ease-in-out 3s forwards;
                    .figure{
                        margin-left: -411px;
                    }
                }
                
                &.container3 {
                    bottom: -250px;
                    animation: figure 1s ease-in-out 4s forwards;
                    .figure{
                        margin-left: -241px;
                    }

                }
                &.container4 {
                    bottom: -250px;
                    animation: figure 1s ease-in-out 2.5s forwards;
                    .figure{
                        margin-left: 211px;
                    }
                }
                &.container5 {
                    bottom: -250px;
                    animation: figure 1s ease-in-out 3.5s forwards;
                    .figure{
                        margin-left: 421px;
                    }
                }
                &.container6 {
                    bottom: -250px;
                    animation: figure 1s ease-in-out 4.5s forwards;
                    .figure{
                        margin-left: 541px;
                    }
                }
            }
            
        }
    }
    .content{
        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-bottom:111px;
        @media(max-width:480px){
            padding-top: 40px;
            justify-content: flex-start;
            align-items: flex-start;
            padding-left: 40px;
            padding-right: 40px;
            
        }
        .title{
            color:#fff;
            text-align: center;
            font-size:30px; 
            line-height: 40px;
            font-family: 'Montserrat', Helvetica, Arial, sans-serif;
            margin: 0;
            opacity: 0;
            animation: dot 1s ease-in-out 4s forwards;
            @media(max-width:480px){
                text-align: left;
                font-size:20px; 
                line-height: 30px;
            }
        }
        .button{
            width: 270px;
            display:block;
            height: 50px;
            line-height: 50px;
            background: #00b955;
            font-family: Montserrat;
            font-size: 12px;
            font-weight: 600;
            color: #fff;
            text-decoration:none;
            text-align: center;
            margin-top: 43px;
            border-radius: 2px;
            box-shadow: 0 15px 30px 0 rgba(6, 163, 228, 0.1);
            opacity: 0;
            animation: dot 1s ease-in-out 4.5s forwards;
            @media(max-width:480px){
                margin-top: 30px;
                width: 100%;
            }
        }
    }
    
}
@keyframes graphic{
    from{
        width: 0%;
    }
    to{
        width:100%
    }
}
@keyframes dot{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}
@keyframes figure{
    0%{
        bottom: -200px;
    }
    75%{
        bottom: 15px;
    }
    100%{
        bottom: -4px;
    }
}
.fade-enter-active, .fade-leave-active {
    transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active до версии 2.1.8 */ {
    opacity: 0;
}

.contactform{
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(255,255,255,0.5);
    top: 0;
    left: 0;
    z-index: 100;
    display:flex;
    justify-content: center;
    align-items: center;
    &-cont{
        width: 100%;
        max-width: 386px;
        border-radius: 2px;
        box-shadow: 0 10px 18px 0 rgba(0, 0, 0, 0.16);
        background: #fff;
        overflow: hidden;
    }
    &-header{
        width: 100%;
        background: #073250;
        height: 86px;
        display:flex;
        justify-content: flex-end;
        padding: 20px;
        span{
            cursor: pointer
        }
    }
    &-body{
        padding: 0 50px;
    }
    &-input{
        display:block;
        height: 50px;
        border-radius: 2px;
        background-color: #edf1f7;
        width: 100%;
        border: none;
        padding: 0 16px;
        margin-bottom: 16px;
    }
    &-textarea{
        display:block;
        height: 100px;
        border-radius: 2px;
        background-color: #edf1f7;
        width: 100%;
        border: none;
        padding: 16px 16px;
        margin-bottom: 16px;
        resize: none
    }
    &-submit{
        height: 50px;
        background-color: #00b955;
        width: 100%;
        border:none;
        color:#fff;
        border-radius: 2px;
        text-transform: uppercase
    }
    &-text{
        text-align: center;
        display:flex;
        height: 50px;
        span{
            margin: auto;
            font-size: 12px;
            color: #9bb4c4;
        }
    }
    &-icon{
        margin-top: -74px;
        width: 100%;
        text-align: center;
    }
    &-check{
        display:flex;
        width: 100%;
        justify-content: flex-start;
        align-items: flex-start;
        margin-bottom: 16px; 
        input{
            margin-right: 16px;
        }
    }
}